1. Pay Out - Examples
PayPaga
  • Introduction
    • Introduction
    • API Reference
    • Environments
    • Payment methods
    • Errors
    • Standard Codes and Values
    • Changelog
  • Authorization
    • Authorization
    • OAuth 2.0 Token Generation
  • Pay In - Direct API Integration
    • Pay In - Direct API Integration
    • Pay In - Payment Options
    • Pay In - Payment Processing
    • Pay In - Query Transactions
  • Pay In - PayURL Integration
    • Pay In - PayURL Integration
    • Pay In - Create PayURL
  • Pay In - Examples
    • Pay In - Argentina
      • Pay In - Instant Transfers
    • Pay In - Brazil
      • Pay In - PIX
    • Pay In - Chile
      • Pay In - Bank Transfer
      • Pay In - Khipu
    • Pay In - Colombia
      • Pay In - Dale
      • Pay In - Daviplata
      • Pay In - Efecty
      • Pay In - Gana
      • Pay In - Movii
      • Pay In - Nequi
      • Pay In - PSE
      • Pay In - RappiPay
      • Pay In - ReFacil
      • Pay In - Susuerte
      • Pay In - Western Union
    • Pay In - Ecuador
      • Pay In - Bank Transfer
      • Pay In - Bemóvil
      • Pay In - Deuna
      • Pay In - Mi Negocio Efectivo
      • Pay In - Omniswitch
      • Pay In - Rapi Activo
      • Pay In - Western Union
    • Pay In - El Salvador
      • Pay In - Banco Agrícola
      • Pay In - Banco Cuscatlán
      • Pay In - Puntoxpress
    • Pay In - Guatemala
      • Pay In - BAM Efectivo
      • Pay In - BAM Transferencia
      • Pay In - Banco Industrial
      • Pay In - Akisi Pronet
    • Pay In - Mexico
      • Pay In - Pay With Cash
      • Pay In - SPEI
    • Pay In - Peru
      • Pay In - BBVA
      • Pay In - BCP
      • Pay In - BCP Efectivo
      • Pay In - Cell Power
      • Pay In - KasNet
      • Pay In - QR Interoperable
      • Pay In - Plin
      • Pay In - Yape
  • Pay Out - Direct API Integration
    • Pay Out - Direct API Integration
    • Pay Out - Query Transactions
    • Pay Out - Payment Processing
  • Pay Out - Examples
    • Pay Out - Argentina
      POST
    • Pay Out - Brazil
      POST
    • Pay Out - Chile
      POST
    • Pay Out - Colombia
      POST
    • Pay Out - Ecuador
      POST
    • Pay Out - Guatemala
      POST
    • Pay Out - Mexico
      POST
    • Pay Out - Peru
      POST
  • Transactions Status Notification
    • Transactions Status Notification
    • Pay In - Instant Transfers
  • Query Balance
    • Query Balance
  • Appendix
    • Transaction Status Definitions and Lifecycle
    • Assets
  1. Pay Out - Examples

Pay Out - Ecuador

Develop Env
https://api.v2.stg.paypaga.com
Develop Env
https://api.v2.stg.paypaga.com
POST
https://api.v2.stg.paypaga.com
/payout

Required Fields

FieldDescriptionValidation
first_nameCustomer first nameLength >= 2 <= 50, RegEx ^\p{L}*(?:[ '-]\p{L}+)*$
last_nameCustomer last nameLength >= 2 <= 50, RegEx ^\p{L}*(?:[ '-]\p{L}+)*$
document_typeDocument typeSee document types listed below
document_numberDocument numberSee document types listed below
bank_codeBeneficiary bankMust be one of the payout bank codes listed below
account_typeBeneficiary account typeRequired. Allowed values: Ahorro, Corriente
account_numberBeneficiary account numberRequired. Length >= 10 <= 20, RegEx ^\d+$

Document types

Document TypeDescriptiondocument_number validation
CICedula de Identidad10 digits including last digit checksum
PPPassportMust be a valid Ecuadorian passport

Bank Identifier Code

NameCode
BANCO PICHINCHAbanco_pichincha
BANCO DE GUAYAQUIL S.Abanco_de_guayaquil
BANCO CITY BANKbanco_city_bank
BANCO MACHALAbanco_machala
BANCO DELBANK S.A.banco_delbank
BANCO DE LOJAbanco_de_loja
BANCO DEL PACIFICObanco_del_pacifico
BANCO INTERNACIONALbanco_internacional
BANCO AMAZONASbanco_amazonas
BANCO DEL AUSTRObanco_del_austro
BANCO DE LA PRODUCCIONbanco_de_la_produccion
BANCO BOLIVARIANObanco_bolivariano
BANCO COMERCIAL DE MANABIbanco_comercial_de_manabi
BANCO GENERAL RUMINAHUIbanco_general_ruminahui
BANCO DEL LITORAL S.A.banco_del_litoral
BANCO SOLIDARIObanco_solidario
BANCO PROCREDIT S.A.banco_procredit
BANCO CAPITAL S.A.banco_capital
FINANCIERA - FINANCOOPfinanciera_financoop
BANCO ECUATORIANO DE LA VIVIENDAbanco_ecuatoriano_de_la_vivienda
CACPECO LTDA (COAC)cacpeco
COOP. DE LA PEQUENA EMPRESA DE PASTAZAcoop_pequena_empresa_de_pastaza
COOP. AHORRO Y CREDITO 23 DE JULIOcoop_ahorro_y_credito_23_de_julio
COOP. AHORRO Y CREDITO 29 DE OCTUBREcoop_ahorro_y_credito_29_de_octubre
COOP. AHORRO Y CREDITO ANDALUCIAcoop_ahorro_y_credito_andalucia
COOP. AHORRO Y CREDITO COTOCOLLAOcoop_ahorro_y_credito_cotocollao
BANCO DESARROLLO DE LOS PUEBLOS S.A.banco_desarrollo_de_los_pueblos
COOP. AHORRO Y CREDITO EL SAGRARIOcoop_ahorro_y_credito_el_sagrario
COOP. AHORRO Y CREDITO GUARANDA LTDA.coop_ahorro_y_credito_guaranda
COOP. JUVENTUD ECUATORIANA PROGRESISTA LTDA. (COOP. JEP )coop_juventud_ecuatoriana_progresista
BANCO COOPNACIONAL S.A.banco_coopnacional
COOP. AHORRO Y CREDITO OSCUScoop_ahorro_y_credito_oscus
COOP. PABLO MUNOZ VEGA.coop_pablo_munoz_vega
COO. AHORRO Y CREDITO COOPROGRESOcoop_ahorro_y_credito_cooprogreso
COOP. AHORRO Y CREDITO RIOBAMBAcoop_ahorro_y_credito_riobamba
CAJA DE AHORRO Y CREDITO SAN FRANCISCOcaja_de_ahorro_y_credito_san_francisco
COOP. AHORRO Y CREDITO TULCANcoop_ahorro_y_credito_tulcan

Request

Header Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.v2.stg.paypaga.com/payout' \
--header 'Authorization;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "country_code": "EC",
    "currency": "USD",
    "payment_method_code": "bank_transfer",
    "transaction": {
        "beneficiary": {
            "first_name": "Juan",
            "last_name": "Perez",
            "document_type": "CI",
            "document_number": "1710034065",
            "account_number": "2103456789",
            "bank_name": "banco_pichincha",
            "account_type": "ahorro"
        },
        "transaction_data": {
            "payout_concept": "laboris voluptate quis occaecat",
            "merchant_transaction_reference": "invoice",
            "transaction_total": 303
        }
    }
}'
Response Response Example
{
    "datetime": "2025-11-04 15:01:35.214842",
    "details": {
        "result": "success",
        "transaction_processed": {
            "merchant_transaction_reference": "e0264cbe-0bcf-4874-93f9-0ebe83b03ad3",
            "transaction_id": "20251104-1401-4c30-b0e0-2948015f27c4"
        }
    },
    "message": "Payment processing initiated",
    "version": "0.1"
}
Previous
Pay Out - Colombia
Next
Pay Out - Guatemala
Built with